%define upstream_name    Test-Debugger
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Create Test Scripts which Generate Log Files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Have you ever tried to debug a test script that is failing tests? Without
too many modifications, your test script can generate a log file with
information about each failed test.

You can take your existing test script, and with (hopefully) very little
effort, convert it to use Test::Debugger. Then re-run your modified test
and view the log file it creates.

Object-Oriented Interface
    Test::Debugger can be run using exported subroutines, or using an
    object-oriented interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.140.0-9pclos2017
- rebuild against updates

